Traceback most recent call last File home qweeco Envs pekama_1 lib pyt

 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
Traceback (most recent call last):
File "/home/qweeco/Envs/pekama_1.7/lib/python3.4/site-packages/django/db/backends/utils.py", line 65, in execute
return self.cursor.execute(sql, params)
psycopg2.OperationalError: cannot ALTER TABLE "legal_collaborator" because it has pending trigger events
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
File "./manage.py", line 10, in <module>
execute_from_command_line(sys.argv)
File "/home/qweeco/Envs/pekama_1.7/lib/python3.4/site-packages/django/core/management/__init__.py", line 385, in execute_from_command_line
utility.execute()
File "/home/qweeco/Envs/pekama_1.7/lib/python3.4/site-packages/django/core/management/__init__.py", line 377, in execute
self.fetch_command(subcommand).run_from_argv(self.argv)
File "/home/qweeco/Envs/pekama_1.7/lib/python3.4/site-packages/django/core/management/base.py", line 288, in run_from_argv
self.execute(*args, **options.__dict__)
File "/home/qweeco/Envs/pekama_1.7/lib/python3.4/site-packages/django/core/management/base.py", line 338, in execute
output = self.handle(*args, **options)
File "/home/qweeco/Envs/pekama_1.7/lib/python3.4/site-packages/django/core/management/commands/migrate.py", line 161, in handle
executor.migrate(targets, plan, fake=options.get("fake", False))
File "/home/qweeco/Envs/pekama_1.7/lib/python3.4/site-packages/django/db/migrations/executor.py", line 68, in migrate
self.apply_migration(migration, fake=fake)
File "/home/qweeco/Envs/pekama_1.7/lib/python3.4/site-packages/django/db/migrations/executor.py", line 102, in apply_migration
migration.apply(project_state, schema_editor)
File "/home/qweeco/Envs/pekama_1.7/lib/python3.4/site-packages/django/db/migrations/migration.py", line 108, in apply
operation.database_forwards(self.app_label, schema_editor, project_state, new_state)
File "/home/qweeco/Envs/pekama_1.7/lib/python3.4/site-packages/django/db/migrations/operations/fields.py", line 84, in database_forwards
schema_editor.remove_field(from_model, from_model._meta.get_field_by_name(self.name)[0])
File "/home/qweeco/Envs/pekama_1.7/lib/python3.4/site-packages/django/db/backends/schema.py", line 414, in remove_field
self.execute(self._delete_constraint_sql(self.sql_delete_fk, model, fk_name))
File "/home/qweeco/Envs/pekama_1.7/lib/python3.4/site-packages/django/db/backends/schema.py", line 102, in execute
cursor.execute(sql, params)
File "/home/qweeco/Envs/pekama_1.7/lib/python3.4/site-packages/django/db/backends/utils.py", line 81, in execute
return super(CursorDebugWrapper, self).execute(sql, params)
File "/home/qweeco/Envs/pekama_1.7/lib/python3.4/site-packages/django/db/backends/utils.py", line 65, in execute
return self.cursor.execute(sql, params)
File "/home/qweeco/Envs/pekama_1.7/lib/python3.4/site-packages/django/db/utils.py", line 94, in __exit__
six.reraise(dj_exc_type, dj_exc_value, traceback)
File "/home/qweeco/Envs/pekama_1.7/lib/python3.4/site-packages/django/utils/six.py", line 658, in reraise
raise value.with_traceback(tb)
File "/home/qweeco/Envs/pekama_1.7/lib/python3.4/site-packages/django/db/backends/utils.py", line 65, in execute
return self.cursor.execute(sql, params)
django.db.utils.OperationalError: cannot ALTER TABLE "legal_collaborator" because it has pending trigger events